AssemblyAI integration

Use Respan gateway to call and log AssemblyAI speech-to-text models. ## Authentication All endpoints require API key authentication: ```bash Authorization: Bearer YOUR_API_KEY X-Assemblyai-Api-Key: YOUR_ASSEMBLYAI_API_KEY ``` ## Path Parameters - `transcript_id` *string* **required**: The AssemblyAI transcript ID to retrieve. ## Headers - `X-Assemblyai-Api-Key` *string* **required**: Your AssemblyAI API key for authentication with AssemblyAI services. ## Examples ```python Python url = "https://api.respan.ai/api/assemblyai/v2/transcript/{transcript_id}" headers = { "Authorization": "Bearer YOUR_RESPAN_API_KEY", "X-Assemblyai-Api-Key": "YOUR_ASSEMBLYAI_API_KEY" } response = requests.get(url, headers=headers) print(response.json()) ``` ```bash cURL curl -X GET "https://api.respan.ai/api/assemblyai/v2/transcript/{transcript_id}" \ -H "Authorization: Bearer YOUR_RESPAN_API_KEY" \ -H "X-Assemblyai-Api-Key: YOUR_ASSEMBLYAI_API_KEY" ``` <Note> For more details on using AssemblyAI with Respan, see the [AssemblyAI integration guide](/integrations/dev-tools/assembly-ai). </Note>

Authentication

AuthorizationBearer
API key authentication. Get your API key from https://platform.respan.ai/platform/api-keys

Path parameters

transcript_idstringRequired
The AssemblyAI transcript ID to retrieve.

Response

Successful response for AssemblyAI integration

Errors

401
Unauthorized Error